Package org.silverpeas.components.quickinfo.notification

# Class NewsManualUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<News>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<News>
org.silverpeas.components.quickinfo.notification.AbstractQuickInfoUserNotification<News>
org.silverpeas.components.quickinfo.notification.AbstractNewsUserNotification
org.silverpeas.components.quickinfo.notification.NewsManualUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class NewsManualUserNotification extends AbstractNewsUserNotification

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsManualUserNotification(News resource, org.silverpeas.core.admin.user.model.User sender)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getSender()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected boolean`
  `stopWhenNoUserToNotify()`

  ### Methods inherited from class org.silverpeas.components.quickinfo.notification.AbstractNewsUserNotification

  `getAction, getComponentInstanceId, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.components.quickinfo.notification.AbstractQuickInfoUserNotification

  `getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getSenderDetail, getSenderName, getTemplatePath`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsManualUserNotification

    public NewsManualUserNotification(News resource, org.silverpeas.core.admin.user.model.User sender)

- ## Method Details

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### stopWhenNoUserToNotify

    protected boolean stopWhenNoUserToNotify()
    Overrides:
      `stopWhenNoUserToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<News>`

  - ### getSender

    protected String getSender()
    Overrides:
      `getSender` in class `AbstractNewsUserNotification`